Bug 1850090 - the skipVersion should exactly match regex in art.yaml
Summary: the skipVersion should exactly match regex in art.yaml
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.z
Assignee: Hemant Kumar
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On: 1850143
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-23 14:13 UTC by Hemant Kumar
Modified: 2020-07-21 10:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1850143 (view as bug list)
Environment:
Last Closed: 2020-07-21 10:31:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift local-storage-operator pull 118 0 None open Bug 1850090: [4.4] Use double quotes for skipRange 2020-08-10 20:53:29 UTC
Red Hat Product Errata RHBA-2020:2913 0 None None None 2020-07-21 10:31:41 UTC

Description Hemant Kumar 2020-06-23 14:13:24 UTC
When ART builds LSO image the skipVersion regexp should exactly match expected regexp in art.yaml

Currently LSO is not auto-updating in 4.4 because we use single quote in the skipVersion string.

Comment 5 Qin Ping 2020-07-14 02:42:31 UTC
verified with: local-storage-operator.4.4.0-202007120152.p0

$ oc get csv -n local-storage -oyaml|grep skipRange
      olm.skipRange: '>=4.3.0 <4.4.0-202007120152.p0'

Comment 7 errata-xmlrpc 2020-07-21 10:31:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2913


Note You need to log in before you can comment on or make changes to this bug.